Results 1 to 5 of 5

Thread: SET upgrade problem

Hybrid View

  1. #1
    Just burned his ISO
    Join Date
    May 2011
    Posts
    4

    Default SET upgrade problem

    Hello,

    Have tried updating SET, but it fails. HTTP link open ok in mozilla, so network is ok.
    MSF is up to date.

    Code:
    root@bt:/pentest/exploits/set# ./set-update 
    Updating the Social-Engineer Toolkit, be patient...
    svn: Server sent unexpected return value (400 Bad Request) in response to OPTIONS request for 'http://svn.secmaniac.com/social_engineering_toolkit'
    The updating has finished, returning to main menu..
    root@bt:/pentest/exploits/set# svn up
    svn: Server sent unexpected return value (400 Bad Request) in response to OPTIONS request for 'http://svn.secmaniac.com/social_engineering_toolkit'

  2. #2
    Senior Member
    Join Date
    Jan 2011
    Location
    over the under
    Posts
    197

    Default Re: SET upgrade problem

    are you connected to the internet when trying to update?... everything works fine here

    Code:
    /pentest/exploits/set# ./set-update 
    Updating the Social-Engineer Toolkit, be patient...
    G    config/set_config
    U    src/smtp/client/smtp_web.py
    U    src/smtp/client/smtp_client.py
    U    src/main/version
    U    src/html/spawn.py
    U    src/html/clientside/gen_payload.py
    U    src/html/web_server.py
    U    readme/CHANGES
    U    readme/CREDITS
    Updated to revision 525.
    The updating has finished, returning to main menu..

  3. #3
    Junior Member
    Join Date
    Jun 2010
    Location
    short cyber alley
    Posts
    29

    Default Re: SET upgrade problem

    try updating with the script from sickness in expert section and a working internet connection of course
    works 100%
    regards
    bakru

  4. #4
    Just burned his ISO
    Join Date
    May 2011
    Posts
    4

    Default Re: SET upgrade problem

    Internet working just fine.
    Tried script from sickness. Everythings updates fines EXEPT SET. Same Error.

    Server sent unexpected return value (400 Bad Request) in response to OPTIONS request for 'http://svn.secmaniac.com/social_engineering_toolkit'

  5. #5
    Just burned his ISO
    Join Date
    Feb 2012
    Posts
    1

    Default Re: SET upgrade problem

    I had the exact same problem and the solution fairly simple, you need to update apt-get and then reinstall SET:
    1. apt-get update
    2. apt-get install set

    if that does not work out for you, else remove set and then update/install:
    1. apt-get autoremove set
    2. cd /pentest/exploits/
    3. rm -r set
    4. apt-get update
    5. apt-get install set

Similar Threads

  1. problem with openvas after upgrade
    By l1nu$ in forum Beginners Forum
    Replies: 17
    Last Post: 04-10-2011, 04:33 PM
  2. Upgrade problem
    By YairNava in forum Beginners Forum
    Replies: 1
    Last Post: 10-02-2010, 02:17 AM
  3. Another 2.6.34 upgrade problem...
    By RawShark in forum Beginners Forum
    Replies: 1
    Last Post: 08-01-2010, 07:32 AM
  4. Do i Upgrade
    By tantricmeta in forum OLD BackTrack 4 Bugs and Fixes
    Replies: 2
    Last Post: 03-30-2010, 01:34 AM
  5. Replies: 0
    Last Post: 11-17-2009, 09:08 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •